No usable default provider could be found for your system

I have downloaded VirtualBox 6.1.0r135406. How can I degrade it to 6.0.14?
Windows 10 64bit
vagrant version: 2.2.6

while using “vagrant up --provision”. The above error came i.e. No usable default provider could be found for your system

Hi @Amita_62847,

Here is the link for downloading the older builds of virtual box.

https://www.virtualbox.org/wiki/Download_Old_Builds_6_0

Hope it helps!

If you have any other query then please feel free to get back to us.

Happy Learning :slight_smile:

Thanks,
Shubham Ranjan
Curriculum Support Engineer

C:\Users\amitayadav\m103\m103-vagrant-env>vagrant up --provision
Bringing machine ‘mongod-m103’ up with ‘virtualbox’ provider…
==> mongod-m103: Box ‘ubuntu/trusty64’ could not be found. Attempting to find and install…
mongod-m103: Box Provider: virtualbox
mongod-m103: Box Version: >= 0
The box ‘ubuntu/trusty64’ could not be found or
could not be accessed in the remote catalog. If this is a private
box on HashiCorp’s Vagrant Cloud, please verify you’re logged in via
vagrant login. Also, please double-check the name. The expanded
URL and error message are shown below:

URL: [“https://vagrantcloud.com/ubuntu/trusty64”]
Error: SSL certificate problem: self signed certificate in certificate chain

Hi @Amita_62847,

Before we proceed, I would request you to run this command and see if this resolves the issue.

Vagrant destroy

vagrant up

Please share the output if in case you get any error.

Thanks,
Shubham Ranjan
Curriculum Support Engineer

it’s done but C:\Users\amitayadav\m103\m103-vagrant-env>vagrant destroy
==> mongod-m103: VM not created. Moving on…
still it solves the problem why?

I am getting same error. Will downgrading solve the problem? Because I am not getting any such message.

Hi @Nilesh_04301,

Please share the following details :

Version of Vagrant
Version of VirtualBox
Version and edition of your Operating System

In addition to this, try to run the commands mentioned in the post #4 and see if that resolves the issue.

Thanks,
Shubham Ranjan
Curriculum Support Engineer

I had tried with the steps mentioned in post #4 but no use. Even destroy parameter as well gives the same error.
I will send the versions after a while as I don’t have my laptop with me as of now.

Hi @Nilesh_04301,

As I can see, you are making progress in the course. If you are still facing any issue then please feel free to get back to us.

Happy Learning :slight_smile:

Thanks,
Shubham Ranjan
Curriculum Support Engineer

Yeah, it was resolved when I tried once again. May be a restart was required. Thanks!

Closing the thread as the issue has been resolved.